Subject: [dhcwg] RFC3004 - User class question.

From: "McCullagh, Matthew (Matt)" <[email-masked]>
Date: Tue, 5 Feb 2002 18:05:42 +0100

Hi all. 

RFC 3004 states that "Based on this class, a DHCP server selects the
appropriate address pool to assign an address to the client and the
appropriate configuration parameters."
If I am reading this correctly, any DHCP server which states that it is
compliant with RFC 3004 "should" be able to have multiple pools defined
using the same private address range - distinguished by user-class.

I'll explain a bit more : 
1. Company X sells Internet Services to companies A, B, C, D & E. 
2. All of these companies have their own private ip@ ranges and refuse to
change them.
3. Companies A, C & E all have their networks setup as 192.168.1.x 

Am I right in assuming that theoretically I could setup a user-class for
each company and then define the range of ip@s for each - something like
this: 

dynamic-dhcp range 192.168.1.1 192.168.1.50 class "CompanyA" { 
	option domain-name "CompanyA.com" ; 
	option subnet-mask 255.255.255.0; 
	option dhcp-lease-time 600 
	}
dynamic-dhcp range 192.168.1.1 192.168.1.50 class "CompanyC" { 
	option domain-name "CompanyC.com"; 
	option subnet-mask 255.255.255.0; 
	option dhcp-lease-time 600 
	}
dynamic-dhcp range 192.168.1.1 192.168.1.50 class "CompanyE" { 
	option domain-name "CompanyE.com"; 
	option subnet-mask 255.255.255.0; 
	option dhcp-lease-time 600 
	}

Theoretically each net is distinguished by the user-class so as long as the
dhcp clients can send and understand user-class I should have no problem ? 

Any help at all is more than welcome ! 

Many thanks in advance and 

Best Regards,

Matt

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Tue, 5 Feb 2002 11:41:58 -0600

> using the same private address range - distinguished by user-class.

Yikes!   This is a lesson in careful wording of drafts.   I am sure that 
that was not the intention of the authors!   It certainly wasn't how I read 
it during the review.

The user class option is just intended to be available to the DHCP server 
as a way to differentiate between clients based on user-supplied 
information.   How the server uses this is up to the implementor and the 
server administrator.   There is no requirement that servers support the 
policy you're talking about.

Having said that, I'd say it's pretty likely that the server you're using 
does support address allocation based on user class.   The ISC server does,
  for sure.   There's an example of how to configure it in the DHCP Handbook.
.. :')

---

From: Jitesh N Verma <[email-masked]>
Date: Wed, 6 Feb 2002 10:57:18 +0530 (IST)

Hi Matt,
	FYI.
	HP-UX DHCP server and client has implemented this option/policy.
The server identifies the user-class by a tag "class-id". They work well
in the situation mentioned in your mail.

Cheers,
Jitesh

-- 
-----------------------------------------------------------------------

    ~                                                             ~
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
^ Jitesh N. Verma                     Tel. 91-80-225 1554 Ext. 1424   ^
^ HEWLETT PACKARD                     Fax. 91-80-220 0196             ^
^ INDIA SOFTWARE OPERATIONS         Email. [email-masked]        ^
^ 29, CUNNINGHAM ROAD               Pager. 9624-263608                ^
^ BANGALORE 560 052        __      Telnet. 847-1424                   ^
^                         / /                                         ^
^                        / /___ _____                                 ^
^                       / __  // __  /                                ^
^                      / / / // /_/ /                                 ^
^                     /_/ /_// ____/                                  ^
^                           / /                                       ^
^                          /_/                                        ^
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*